# SDL Visual Test: SDLVisualTest_HarnessState Struct Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_HarnessState Struct Reference

`#include <SDL_visualtest_harness_argparser.h>`

## Data Fields

char | sutapp [MAX_PATH_LEN]
char | sutargs [MAX_SUT_ARGS_LEN]
int | timeout
SDLVisualTest_SUTConfig | sut_config
SDLVisualTest_VariatorType | variator_type
int | num_variations
SDL_bool | no_launch
SDLVisualTest_ActionQueue | action_queue
char | output_dir [MAX_PATH_LEN]
char | verify_dir [MAX_PATH_LEN]

## Detailed Description

Stores the state of the test harness.

## Field Documentation

SDLVisualTest_ActionQueue action_queue

A queue with actions to be performed while the SUT is running

SDL_bool no_launch

If true, the test harness will just print the different variations without launching the SUT for each one

int num_variations

The number of variations to generate

char output_dir[MAX_PATH_LEN]

Output directory to save the screenshots

SDLVisualTest_SUTConfig sut_config

Configuration object for the SUT

char sutapp[MAX_PATH_LEN]

Path to the System Under Test (SUT) executable

char sutargs[MAX_SUT_ARGS_LEN]

Command line arguments to be passed to the SUT

int timeout

Time in milliseconds after which to kill the SUT

SDLVisualTest_VariatorType variator_type

What type of variator to use to generate argument strings

char verify_dir[MAX_PATH_LEN]

Path to directory with the verification images

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_harness_argparser.h